// NemodalaDlg.cpp : implementation file
//

#include "stdafx.h"
#include "wiz5.h"
#include "wiz5Dlg.h"
#include "NemodalaDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNemodalaDlg dialog


CNemodalaDlg::CNemodalaDlg(CWiz5Dlg* pParent /*=NULL*/)
	: CDialog(CNemodalaDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNemodalaDlg)
	if (Create(IDD_NEMODALA,pParent))
	{
		ShowWindow(TRUE);
		m_pParent=pParent;
	}
	m_strMesaj = _T("");
	//}}AFX_DATA_INIT
}


void CNemodalaDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNemodalaDlg)
	DDX_Text(pDX, IDC_MESAJ, m_strMesaj);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNemodalaDlg, CDialog)
	//{{AFX_MSG_MAP(CNemodalaDlg)
	ON_BN_CLICKED(IDC_SUS, OnSus)
	ON_BN_CLICKED(IDC_JOS, OnJos)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNemodalaDlg message handlers

void CNemodalaDlg::OnSus() 
{
	// TODO: Add your control notification handler code here
	m_pParent->m_DisplayList.AddString("**  SUS  **");
}

void CNemodalaDlg::OnJos() 
{
	// TODO: Add your control notification handler code here
	m_pParent->m_DisplayList.AddString("**  JOS  **");
}

extern CNemodalaDlg* p_Nemodala;
void CNemodalaDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	CDialog::OnClose();
	delete(this);
	p_Nemodala=NULL;
}
